Name:		medit
Version:	1.2.0
Release:	%mkrel 1
Summary:	Multiplatform GTK+2 text editor
Group:		Editors
License:	GPLv2+
URL:		http://mooedit.sourceforge.net/
Source0:	https://sourceforge.net/projects/mooedit/files/medit/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(sm)

Provides:	mooedit = %{version}-%{release}

%description
medit is a programming and around-programming text editor.
Started originally as a simple built-in editor component in GGAP,
it grew up to a real text editor.
Features:
* Configurable syntax highlighting.
* Configurable keyboard accelerators.
* Plugins: can be written in C, Python, or Lua.
* Configurable tools available from the main and context menus.
  They can be written in Python or Lua, or it can be a shell script.
* Regular expression search/replace, grep frontend, builtin file selector, ...

%prep
%setup -q

%build
%configure2_5x --disable-install-hooks
%make_build

%install
%make_install

# more icon sizes, 48x48 is already installed by make install
for size in 32x32 16x16; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$size/apps;
convert moo/mooutils/pixmaps/medit.png -scale $size %{buildroot}%{_iconsdir}/hicolor/$size/apps/%{name}.png;
done

%find_lang %{name} --all-name --with-help

%files -f %{name}.lang
%doc COPYING README
%doc %{_defaultdocdir}/medit-1
%{_bindir}/medit
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/medit.1.*
%{_datadir}/medit-1/


%changelog
* Tue Feb 12 2019 daviddavid <daviddavid> 1.2.0-1.mga6
+ Revision: 1365553
- new version: 1.2.0 (mga#24339)

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-6.mga6
+ Revision: 947948
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 746537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 682342
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 507904
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 359922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 1.1.1-1.mga3
+ Revision: 317219
- new version 1.1.1
- update %%description
- provide mooedit

* Fri Jun 01 2012 dams <dams> 1.1.0-1.mga3
+ Revision: 252659
- new version 1.1.0

* Sun Mar 13 2011 ahmad <ahmad> 1.0.1-1.mga1
+ Revision: 70805
- update to 1.0.1
- drop cmake, upstream switched to autotools
-
- imported package medit


* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 0.10.5-1mdv2011.0
+ Revision: 592770
- BR cmake
- new version 0.10.5

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.9.4-2mdv2009.1
+ Revision: 320294
- rebuild for new python

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 0.9.4-1mdv2009.0
+ Revision: 277537
- New version 0.9.4

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.9.2-3mdv2009.0
+ Revision: 252270
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 155675
- New version 0.9.2
- rediff patch0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 114221
- New version 0.9.0

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.11-1mdv2008.1
+ Revision: 109208
- New release 0.8.11

* Tue Aug 07 2007 Funda Wang <fwang@mandriva.org> 0.8.10-1mdv2008.0
+ Revision: 59667
- New version 0.8.10

* Wed Aug 01 2007 Funda Wang <fwang@mandriva.org> 0.8.9-1mdv2008.0
+ Revision: 57568
- New version 0.8.9

* Thu Jul 12 2007 Funda Wang <fwang@mandriva.org> 0.8.8-1mdv2008.0
+ Revision: 51500
- Fix file list
- New version

* Thu Jun 14 2007 Funda Wang <fwang@mandriva.org> 0.8.6-1mdv2008.0
+ Revision: 39539
- SILent renew tarball
- New version
- New version
  add dirty patch that skips update-icon-cache and mime database when building

  + Jérôme Soyer <saispo@mandriva.org>
    - Import medit




* Tue May 09 2006 UTUMI Hirosi <utuhiro78@dummy.org> 0.6.98-1mdk
- new release

* Mon May 08 2006 UTUMI Hirosi <utuhiro78@dummy.org> 0.6.97-1mdk
- first spec for Mandriva
